import { SimpleLocalIntegration } from '../../core/index.js';
import { DropConnectConfigFlow } from './drop_connect.classes.configflow.js';
import { createDropConnectDiscoveryDescriptor } from './drop_connect.discovery.js';
import type { IDropConnectConfig } from './drop_connect.types.js';
import { dropConnectDomain, dropConnectProfile } from './drop_connect.types.js';

export class DropConnectIntegration extends SimpleLocalIntegration<IDropConnectConfig> {
  public readonly domain = dropConnectDomain;
  public readonly discoveryDescriptor = createDropConnectDiscoveryDescriptor();
  public readonly configFlow = new DropConnectConfigFlow();

  constructor() {
    super(dropConnectProfile);
  }
}

export class HomeAssistantDropConnectIntegration extends DropConnectIntegration {}
